| Home | Libraries | People | FAQ | More

### windows::random_access_handle_service

Default service implementation for a random-access handle.

    class random_access_handle_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of a random-access handle implementation.
native_type | The native handle type.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to a random-access handle.
async_read_some_at | Start an asynchronous read at the specified offset.
async_write_some_at | Start an asynchronous write at the specified offset.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close a random-access handle implementation.
construct | Construct a new random-access handle implementation.
destroy | Destroy a random-access handle implementation.
get_io_service | Get the io_service object that owns the service.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
is_open | Determine whether the handle is open.
native | Get the native handle implementation.
random_access_handle_service | Construct a new random-access handle service for the specified io_service.
read_some_at | Read some data from the specified offset.
shutdown_service | Destroy all user-defined handler objects owned by the service.
write_some_at | Write the given data at the specified offset.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/windows/random_access_handle_service.hpp`

Convenience header: `boost/asio.hpp`